API referenceBatch
List batches
List your most recent batches (newest first) with per-status job counts. (GET /v1/batches)
Last updated
GET
/v1/batches- Auth
- Bearer API key
- Billing
- free (0 credits).
List your most recent batches (newest first) with per-status job
counts. Keyset-paginated: when has_more is true, pass the returned
next_before_created and next_before_id back as before_created and
before_id to fetch the next page. Free.
Example request
curl -X GET "https://api.sightradar.com/v1/batches" \
-H "Authorization: Bearer $SR_API_KEY"Parameters
| Name | In | Type | Description |
|---|---|---|---|
limit | query | integer | |
before_created | query | string | Cursor from the previous page's next_before_created (RFC3339). |
before_id | query | string | Cursor from the previous page's next_before_id. |
Response body
| Field | Type | Description |
|---|---|---|
batches | object[] | |
has_more | boolean | |
next_before_created | string | Present when has_more is true. |
next_before_id | string | Present when has_more is true. |
Status codes
| Status | Meaning |
|---|---|
200 | Recent batches. |
401 | Missing or invalid API key. |